org.mariadb.jdbc.internal.com.send.parameters

## Class ZonedDateTimeParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.parameters.ZonedDateTimeParameter

All Implemented Interfaces:
  Cloneable, ParameterHolder

    public class ZonedDateTimeParameter
    extends Object
    implements Cloneable, ParameterHolder

server doesn't support temporal with timezone (MDEV-10018) for the moment. So driver parse String entry and send it to Server according to server timezone

### Field Summary

### Fields inherited from interface org.mariadb.jdbc.internal.com.send.parameters.ParameterHolder

`BINARY_INTRODUCER, QUOTE`

### Constructor Summary

Constructors
Constructor and Description
`ZonedDateTimeParameter(ZonedDateTime tz, ZoneId serverZoneId, boolean fractionalSeconds, Options options)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getApproximateTextProtocolLength()`
`ColumnType` `getColumnType()`
`boolean` `isLongData()`
`boolean` `isNullData()`
`String` `toString()`
`void` `writeBinary(PacketOutputStream pos)` Write data to socket in binary format.
`void` `writeTo(PacketOutputStream pos)` Write timestamps to outputStream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ZonedDateTimeParameter

    public ZonedDateTimeParameter(ZonedDateTime tz,
                                  ZoneId serverZoneId,
                                  boolean fractionalSeconds,
                                  Options options)

Constructor.

Parameters:
  `tz` - zone date time
  `serverZoneId` - server session zoneId
  `fractionalSeconds` - must fractional Seconds be send to database.
  `options` - session options

### Method Detail

#### writeTo

    public void writeTo(PacketOutputStream pos)
                 throws IOException

Write timestamps to outputStream.

Specified by:
  `writeTo` in interface `ParameterHolder`
Parameters:
  `pos` - the stream to write to
Throws:
  `IOException` - when something goes wrong

#### getApproximateTextProtocolLength

    public long getApproximateTextProtocolLength()
                                          throws IOException

Specified by:
  `getApproximateTextProtocolLength` in interface `ParameterHolder`
Throws:
  `IOException`

#### writeBinary

    public void writeBinary(PacketOutputStream pos)
                     throws IOException

Write data to socket in binary format.

Specified by:
  `writeBinary` in interface `ParameterHolder`
Parameters:
  `pos` - socket output stream
Throws:
  `IOException` - if socket error occur

#### getColumnType

    public ColumnType getColumnType()

Specified by:
  `getColumnType` in interface `ParameterHolder`

#### toString

    public String toString()

Specified by:
  `toString` in interface `ParameterHolder`
Overrides:
  `toString` in class `Object`

#### isNullData

    public boolean isNullData()

Specified by:
  `isNullData` in interface `ParameterHolder`

#### isLongData

    public boolean isLongData()

Specified by:
  `isLongData` in interface `ParameterHolder`